Overview

Create org

Create org.

POST/v2/orgs
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input2
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
edgeDeploymentstring · body
The default edge deployment of the organization.
namestring · bodyrequired
Output14
defaultEdgeDeploymentstring
firstFailedPaymentstring
idstring
lastUsageSyncstring
licenseobject
metaCreatedstring
metaModifiedstring
metaVersionstring
namestring
paymentStatusstring
One of: na, failed, success, blocked.
planstring
One of: personal, teamMonthlyAws, axiomCloud, teamPlus, enterprise, comped, accelerator.
planCreatedstring
primaryEmailstring
rolestring
Responses
200Org
Example input
curl -X POST 'https://api.axiom.co/v2/orgs' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"string"}'
Example output
{
  "defaultEdgeDeployment": "string",
  "firstFailedPayment": "string",
  "id": "string",
  "lastUsageSync": "string",
  "license": {
    "apiRateLimitPerSecond": 0,
    "billingPeriodEnd": "2024-01-01T00:00:00Z",
    "billingPeriodStart": "2024-01-01T00:00:00Z",
    "defaultEdgeDeployment": "string",
    "edgeDeployments": [
      "string"
    ],
    "expiresAt": "2024-01-01T00:00:00Z",
    "features": {},
    "id": "string",
    "issuedAt": "2024-01-01T00:00:00Z",
    "issuedTo": "string",
    "issuer": "string",
    "maxAuditWindowSeconds": 0
  },
  "metaCreated": "string",
  "metaModified": "string",
  "metaVersion": "string",
  "name": "string",
  "paymentStatus": "na",
  "plan": "personal",
  "planCreated": "string"
}

Updated

Was this page helpful?